#include "chartpanel.h"
#include "ui_chartpanel.h"

ChartPanel::ChartPanel(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::ChartPanel)
{
    ui->setupUi(this);

//    for( int i = 0 ; i < 2; i++ )
//    {
//        ui->gridLayout->setRowStretch( i, 1);
//        for ( int j = 0; j < 2; j++)
//        {
//            if( i == 0 )
//            {
//                ui->gridLayout->setColumnStretch( j, 1 );
//            }
//        }
//    }

    ui->horizontalLayout_4->setStretch(0, 1);
    ui->horizontalLayout_4->setStretch(1, 2);

    ui->splitter->setStretchFactor(0, 3);
    ui->splitter->setStretchFactor(1, 1);
    ui->horizontalLayout->setSpacing(0);
    ui->horizontalLayout->setMargin(0);
    ui->horizontalLayout->setContentsMargins(0, 0, 0, 0);

    ui->axWidget->setControl("148BD520-A2AB-11CE-B11F-00AA00530503");
}

ChartPanel::~ChartPanel()
{
    delete ui;
}

